Run of fresh-snapshots for ocaml-faad

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
[2022-09-10 21:51:58] Opening branch at https://salsa.debian.org/ocaml-team/ocaml-faad.git/,branch=master
[2022-09-10 21:51:59] Using cached branch https://janitor.debian.net/git/ocaml-faad/,branch=debian%2Flatest
[2022-09-10 21:51:59] Using resume branch: https://janitor.debian.net/git/ocaml-faad,branch=fresh-snapshots%2Fmain
[2022-09-10 21:52:03] All changes applied successfully.
[2022-09-10 21:52:04] Total 30 (delta 5), reused 0 (delta 0), pack-reused 0
[2022-09-10 21:52:04] restarting branch
[2022-09-10 21:52:04] Total 30 (delta 5), reused 0 (delta 0), pack-reused 0
[2022-09-10 21:52:04] 
[2022-09-10 21:52:04] archive/debian/0.5.0-1 does not point to a valid object
[2022-09-10 21:52:04] All changes applied successfully.
[2022-09-10 21:52:05] Total 8 (delta 1), reused 3 (delta 0), pack-reused 0
[2022-09-10 21:52:05] archive/debian/0.5.0-1 does not point to a valid object
[2022-09-10 21:52:09] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-09-10 21:52:09] 
[2022-09-10 21:52:09] archive/debian/0.5.0-1 does not point to a valid object
[2022-09-10 21:52:09] Workspace ready - starting.
[2022-09-10 21:52:09] Running ['deb-new-upstream', '--snapshot', '--refresh-patches']
[2022-09-10 21:52:11] Assuming changelog does not need to be updated, since changelog entries are usually updated in separate commits.
Using upstream branch https://github.com/savonet/ocaml-faad.git (from configuration)
Total 529 (delta 14), reused 29 (delta 9), pack-reused 487
Using version string 0.5.1+git20220522.1.95d7c39.
No upstream upstream-revision format specified, trying tag:0.5.1
No upstream upstream-revision format specified, trying tag:ocaml-faad-0.5.1
No upstream upstream-revision format specified, trying tag:v0.5.1
Not including upstream history, since previous upstream version (0.5.1) is not present in packaging branch history.
Looking for upstream 0.5.1+git20220522.1.95d7c39 in upstream branch https://github.com/savonet/ocaml-faad.git/.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python310.zip:/usr/lib/python3.10:/usr/lib/python3.10/lib-dynload:/usr/local/lib/python3.10/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitore8raudw6/ocaml-faad/debian
Opened schroot session unstable-amd64-sbuild-a20ee483-6cb9-4e1c-8913-adbfda105ec6 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n               ocaml-nox,\n               dh-ocaml,\n               libfaad-dev,\n               ocaml-dune,\n               libdune-ocaml-dev,\n               pkg-config']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, bioconductor, octave-forge]
No build tools found, falling back to simple export.
Searching for revision importing ocaml-faad version 0.5.1 on branch upstream, packaging branch, tag debian/0.5.1-1.
Upstream import of 0.5.1 lacks a tag. Set one by running: brz tag -rrevid:git-v1:f3cfaa3c569269bba8cd22f52758149084fc9dfd upstream/0.5.1
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.2.0 points at non-present sha 8b19e411e8103c381da2ea53ddf3b80a84a6bef9
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.5.0-1 points at non-present sha 7deb082f1203bea0f2934e648b7210b21a256e0b
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.2-1 points at non-present sha 17c4b0ba0e0c1a07b7774a73ead549018d9eb3af
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.0-1 points at non-present sha 657e5dc6ef74bef61b97ace6b15b7fec9b254851
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.0_20110523+hgb02e02b1cf7c-1 points at non-present sha ca90c8e5773a3fe0aa2ce16d98134dcefaf4a66c
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.3.3 points at non-present sha d4b096dc8f4fb2ccd3a79a420f2d6ba887c602bf
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.5.1 points at non-present sha 0f919fcf4d4e5cef37cafde5957cc12e3bca0032
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.1.3 points at non-present sha 0e1acb4de597cf0561830352c70194613f36f60d
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.2-2 points at non-present sha 93c92fd1d205d12ccc704b92a9b10bfe7d9dd1f6
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.3-2 points at non-present sha d75aed89d37cd7ace8dc511b139821c3c05570fc
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.4.0 points at non-present sha ef30e2fe96fc5a6de77722187cf25e61eea1fffb
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3.3-1 points at non-present sha 10ac6971dae4ea7b6d1215b258fd78255f28800c
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.4.0-1 points at non-present sha 70de2db5a4277db7b92243a7814fa60d97133f41
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.5.0 points at non-present sha 33ecb7012c6c5318480aa48d8f320382a6d18de8
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.2.0-1 points at non-present sha 53295a8af2d41e659d3db7a74281885e82b033dd
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.3.0_20110523+hgb02e02b1cf7c points at non-present sha 732e2323a924f272cc699fdb88ed855cd24fae03
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.3.2 points at non-present sha 5aa5f87468e563561075cec6a6dcb85e4b6593da
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.5.1-1 points at non-present sha 8d7839a5d7460f651ae708d2cfdb40fa2d327b67
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.3.0 points at non-present sha f4b24dac54a22f339a172e7c4c048ef1105d00ab
  warnings.warn(
upstream/0.2.0 does not point to a valid object
debian/0.5.0-1 does not point to a valid object
debian/0.3.2-1 does not point to a valid object
debian/0.3.0-1 does not point to a valid object
debian/0.3.0_20110523+hgb02e02b1cf7c-1 does not point to a valid object
upstream/0.3.3 does not point to a valid object
upstream/0.5.1 does not point to a valid object
upstream/0.1.3 does not point to a valid object
debian/0.3.2-2 does not point to a valid object
debian/0.3.3-2 does not point to a valid object
upstream/0.4.0 does not point to a valid object
debian/0.3.3-1 does not point to a valid object
debian/0.4.0-1 does not point to a valid object
upstream/0.5.0 does not point to a valid object
debian/0.2.0-1 does not point to a valid object
upstream/0.3.0_20110523+hgb02e02b1cf7c does not point to a valid object
upstream/0.3.2 does not point to a valid object
debian/0.5.1-1 does not point to a valid object
upstream/0.3.0 does not point to a valid object
Imported ocaml-faad_0.5.1+git20220522.1.95d7c39.orig.tar.gz with pristine-tar.
All changes applied successfully.
gbp:error: revision 'debian/0.5.1-1^0' not found
revision 'debian/0.5.1-1^0' not found
Committing to: /tmp/janitore8raudw6/ocaml-faad/
modified debian/changelog
modified dune-project
modified faad.opam
modified src/config/discover.ml
Committed revision 36.
Merged new upstream version 0.5.1+git20220522.1.95d7c39 (previous: 0.5.1)
Merge new upstream version 0.5.1+git20220522.1.95d7c39
[2022-09-10 21:53:17] Actual command: ['deb-new-upstream', '--snapshot', '--refresh-patches']
[2022-09-10 21:53:31] Opened schroot session unstable-amd64-sbuild-889d12e0-ef82-49ca-b4a0-9ecd2921480a (from unstable-amd64-sbuild)
[2022-09-10 21:53:31] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f7aa4d8cb50>, [functools.partial(<function python_tie_breaker at 0x7f7aa2f2e320>, <GitWorkingTree of /tmp/janitore8raudw6/ocaml-faad>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-889d12e0-ef82-49ca-b4a0-9ecd2921480a'), <function popcon_tie_breaker at 0x7f7aa2f3c940>]))]
[2022-09-10 21:53:31] Building debian packages, running 'sbuild -A -s -v'.
[2022-09-10 21:56:05] Built ['ocaml-faad_0.5.1+git20220522.1.95d7c39-1~jan+nus1_amd64.changes'].
[2022-09-10 21:56:06] Running lintian
[2022-09-10 21:56:18] lintian failed to run.
[2022-09-10 21:56:18] Pushing result branch to 'https://janitor.debian.net/git/ocaml-faad'

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 164, max open: 151)
  • ☒ change set 3fd23cf9-ccec-4d30-b962-4103dbcc40a6 is working

Full worker log Full build log